def tri_selection(tableau):
    '''cette fonction prend en argument un tableau d'entier, et le trie avec la
    méthode de tri par sélection, elle renvoie le tableau trié
    exemple:

    tri_selection([4,7,45,2])
    >>> [2,4,7,45]
    tri_selection([5,4,3,2,1])
    >>> [1,2,3,4,5]'''

    resultat = []                           #on créé un tableau "resultat" qui stockera le tableau trié au fur et a mesure
    longueur = len(tableau)                 #on associe a "longueur" la taille du tableau
    print("-----------------------------------------------------")#ligne d'affichage uniqument
    print("         tableau:                      résultat:      ")#ligne d'affichage uniqument
    while len(resultat) != longueur:        #tant que le tableau final n'a pas autant d'éléments que le premier tableau:
        minimum = tableau[0]                    #on met dans "minimum" le premier argument du tableau
        print("-------------------------|---------------------------")#ligne d'affichage uniqument
        print(tableau, "                      ", resultat)
        for i in range(1, len(tableau)):        #on va stocker dans i tous les entiers entre 1 et la longueur du tableau
            """on n'utilise pas "longueur" car celle ci ne change pas au cours du programme (on aurait un "out of range")"""
            if minimum > tableau[i]:                #si l'élément du tableau qu'on parcours est plus petit que l'élément de "minimum":
                minimum = tableau[i]                    #on associe la valeur a "minimum"
        resultat.append(minimum)                #on ajoute au résultat final le minimum que l'on vient de trouver
        tableau.remove(minimum)                 #puis on supprime l'élément du tableau
    print("-------------------------|---------------------------")#ligne d'affichage uniqument
    print(tableau, "                       ", resultat) #ligne d'affichage uniqument
    return resultat                         #on renvoie le tableau trié